// emacs: this is -*- c++ -*-
//
//   @file    fastnlo_utils.h        
//
//                   
//  
//   Copyright (C) 2016 M.Sutton (sutt@cern.ch)    
//
//   $Id: fastnlo_utils.h, v0.0   Mon 25 Apr 2016 15:03:24 CEST sutt $


#ifndef  FASTNLO_UTILS_H
#define  FASTNLO_UTILS_H

#include "amconfig.h"

#ifdef HAVE_FASTNLO

namespace nnlo { 

void init_fastnlo( const int& id, std::vector<double>& binning );

void fill_fastnlo( const int& id, 
			 const double& x1, const double& x2, const double& Q2, 
			 const double& obs, 
			 const double* wt ); 

void term_fastnlo( int nweights );

void fill_ref_fastnlo( const int& id, const double& obs, const double* wt );

}

#endif

#endif  // FASTNLO_UTILS_H 










